Subject: Re: bug#25825: 25.1; ispell-find-hunspell-dictionaries not working on Windows

From: Stefan Kangas <[email-masked]>
Date: Wed, 26 Aug 2020 11:48:12 -0700

Eli Zaretskii <[email-masked]> writes:

> Hunspell is supposed to display this at the end of the "available
> dictionaries" output:
>
>   LOADED DICTIONARY:
>   /usr/share/hunspell/default.aff
>   /usr/share/hunspell/default.dic
>
> (The "default" part can be different in your case.)
>
> The Hunspell I have does show this.  If yours doesn't, perhaps they've
> changed the output in later versions, in which case we need to figure
> out how to force the newer Hunspell to output the loaded dictionary.
> Because just knowing what dictionaries are available is not enough.
>
> So please read the man page for Hunspell you have, and tell how to ask
> Hunspell for that missing part.  Note that the code already includes a
> quirk for Hunspell 1.7.0, maybe it doesn't work with later versions?

Right, I'm using:

@(#) International Ispell Version 3.2.06 (but really Hunspell 1.7.0)

The man page says:

-D Show detected path of the loaded dictionary, and list of the search
 path and the available dictionaries.

>> (I would also suggest to install the attached patch to immediately
>> filter out the useless lines "SEARCH PATH", "AVAILABLE DICTIONARIES",
>> etc.)
>
> I don't think I understand the reason.  Why should we care what else
> does Hunspell output in this case?

It makes the intention clearer, and makes it slightly easier to debug.

As it stands, when you step through this, we begin with looking for
"SEARCH PATH:.aff".